Summary
Replaces a component group document.
Description
Replaces a component group document.
Route
PUT /automation-studio/component-groups/:id
Roles
admin
apiwrite
designer
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| id |
string |
yes |
Component group id. |
| update |
object |
yes |
Complete component group definition to replace the existing component group document with. May not contain field '_id'. |
Copied to Clipboard
{
"update": {
"name": "test",
"gbacRead": [
"ad minim",
"elit mollit ea reprehenderit",
"cupidatat Ut",
"voluptate nostrud tempor"
],
"members": [
{
"path": "irure dolore do ex consectetur",
"type": "component",
"sourceCollection": "irure eiusmod elit laborum in",
"ref": "est in voluptate labore fugiat"
},
{
"path": "sunt occaecat officia veniam",
"type": "component",
"sourceCollection": "incididunt sed Lorem do aliqua",
"ref": "eu Lorem voluptate occaecat"
},
{
"path": [
"et sunt",
"fugiat sint mollit exercitation velit",
"nostrud",
"deserunt Lorem sit cupidatat",
"velit magna laborum"
],
"type": "folder"
}
],
"_id": "fdbACBda926043cbe3414A9F",
"version": 1
}
}
Copied to Clipboard
{
"type": "object",
"properties": {
"update": {
"title": "update",
"description": "Complete component group definition to replace the existing component group document with. May not contain field '_id'.",
"$ref": "componentGroupUpdate"
}
},
"required": [
"update"
],
"additionalProperties": false
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| response |
object |
Response object. |
Copied to Clipboard
{
"updated": {
"name": "test",
"gbacRead": [
"velit sit",
"aliqua et ut"
],
"members": [
{
"path": "tempor",
"type": "component",
"sourceCollection": "voluptate",
"ref": "minim ea eu mollit"
},
{
"path": "nisi reprehenderit Excepteur ad quis",
"type": "component",
"sourceCollection": "cillum nulla",
"ref": "sint pariatur"
},
{
"path": "labore enim consectetur in",
"type": "component",
"sourceCollection": "nisi eu amet",
"ref": "enim voluptate"
}
],
"_id": "B7C5d33Cf9eEBC8Ba8A2d71e",
"description": "irure reprehenderit deserunt in",
"gbacWrite": [
"esse",
"consectetur Ut velit",
"ut",
"ex",
"non quis ea"
],
"version": 1
},
"edit": "cillum do ad officia"
}
Copied to Clipboard
{
"title": "response",
"type": "object",
"properties": {
"updated": {
"description": "Component group document after applying the update.",
"$ref": "componentGroup"
},
"edit": {
"type": "string",
"description": "URI to the edit page for the updated component group."
}
},
"required": [
"updated",
"edit"
]
}